## erc 4.0.cvs.20031027

=== Makefile ===
VERSION=4.0
SNAPSHOTDATE=20031027
SNAPDIR=erc-$(VERSION).cvs.$(SNAPSHOTDATE)

SPECIAL = erc-auto.el
UNCOMPILED = erc-chess.el erc-bbdb.el erc-ibuffer.el erc-speak.el \
		erc-speedbar.el erc-compat.el
ALLSOURCE = $(wildcard *.el)
SOURCE	= $(filter-out $(SPECIAL) $(UNCOMPILED),$(ALLSOURCE))
TARGET	= $(patsubst %.el,%.elc,$(SPECIAL) $(SOURCE))
MISC	= AUTHORS CREDITS HISTORY README Makefile ChangeLog mkChangeLog \
		servers.pl erc-auto.in
EMACS   = emacs

all: $(TARGET)

autoloads: erc-auto.el

erc-auto.el: erc-auto.in $(SOURCE)
	cp erc-auto.in erc-auto.el
	-rm erc-auto.elc
	$(EMACS) --no-init-file --no-site-file -batch \
		-l $(shell pwd | sed -e 's|^/cygdrive/\([a-z]\)|\1:|')/erc-auto \
		-f generate-autoloads \
		$(shell pwd | sed -e 's|^/cygdrive/\([a-z]\)|\1:|')/erc-auto.el .

%.elc: %.el
	$(EMACS) --no-init-file --no-site-file -batch \
		-l $(shell pwd | sed -e 's|^/cygdrive/\([a-z]\)|\1:|')/erc-maint \
		-f batch-byte-compile $<

clean:
	rm -f *~ *.elc

realclean: clean
	-rm -f $(TARGET) $(SPECIAL)

debrelease: $(ALLSOURCE) $(SPECIAL)
	rm -Rf ../$(SNAPDIR) && \
	mkdir ../$(SNAPDIR) && \
	cp $(ALLSOURCE) $(SPECIAL) $(MISC) ../$(SNAPDIR) && \
	cd ../ && \
	tar -czf erc_$(VERSION).cvs.$(SNAPSHOTDATE).orig.tar.gz $(SNAPDIR)
	cp -R debian ../$(SNAPDIR)
	rm -R ../$(SNAPDIR)/debian/CVS ../$(SNAPDIR)/debian/maint/CVS \
		../$(SNAPDIR)/debian/scripts/CVS
	cd ../$(SNAPDIR) && dpkg-buildpackage -rfakeroot

.PHONY: ChangeLog
ChangeLog:
	-mv -f ChangeLog ChangeLog.old
	zsh mkChangeLog

release:
	rm -rf ../erc-$(VERSION)
	mkdir ../erc-$(VERSION)
	cp $(UNCOMPILED) $(SOURCE) $(MISC) ../erc-$(VERSION)
	cd ..; tar czf erc-$(VERSION).tar.gz erc-$(VERSION)/*

todo:	erc.elc

## erc 4.0.cvs.20041118

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 VERSION=4.0
-SNAPSHOTDATE=20031027
+SNAPSHOTDATE=20041118
 SNAPDIR=erc-$(VERSION).cvs.$(SNAPSHOTDATE)
 
 SPECIAL = erc-auto.el
 UNCOMPILED = erc-chess.el erc-bbdb.el erc-ibuffer.el erc-speak.el \
 		erc-speedbar.el erc-compat.el
+TESTING = erc-members.el erc-macs.el
 ALLSOURCE = $(wildcard *.el)
-SOURCE	= $(filter-out $(SPECIAL) $(UNCOMPILED),$(ALLSOURCE))
+SOURCE	= $(filter-out $(SPECIAL) $(UNCOMPILED) $(TESTING),$(ALLSOURCE))
 TARGET	= $(patsubst %.el,%.elc,$(SPECIAL) $(SOURCE))
 MISC	= AUTHORS CREDITS HISTORY README Makefile ChangeLog mkChangeLog \
 		servers.pl erc-auto.in
@@ -18,7 +19,7 @@
 
 erc-auto.el: erc-auto.in $(SOURCE)
 	cp erc-auto.in erc-auto.el
-	-rm erc-auto.elc
+	rm -f erc-auto.elc
 	$(EMACS) --no-init-file --no-site-file -batch \
 		-l $(shell pwd | sed -e 's|^/cygdrive/\([a-z]\)|\1:|')/erc-auto \
 		-f generate-autoloads \
@@ -37,7 +38,7 @@
 
 debrelease: $(ALLSOURCE) $(SPECIAL)
 	rm -Rf ../$(SNAPDIR) && \
-	mkdir ../$(SNAPDIR) && \
+	mkdir ../$(SNAPDIR) && chmod 0755 ../$(SNAPDIR) && \
 	cp $(ALLSOURCE) $(SPECIAL) $(MISC) ../$(SNAPDIR) && \
 	cd ../ && \
 	tar -czf erc_$(VERSION).cvs.$(SNAPSHOTDATE).orig.tar.gz $(SNAPDIR)
@@ -51,10 +52,10 @@
 	-mv -f ChangeLog ChangeLog.old
 	zsh mkChangeLog
 
-release:
+release: autoloads
 	rm -rf ../erc-$(VERSION)
 	mkdir ../erc-$(VERSION)
-	cp $(UNCOMPILED) $(SOURCE) $(MISC) ../erc-$(VERSION)
+	cp $(SPECIAL) $(UNCOMPILED) $(SOURCE) $(MISC) ../erc-$(VERSION)
 	cd ..; tar czf erc-$(VERSION).tar.gz erc-$(VERSION)/*
 
 todo:	erc.elc

## erc 5.0.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
-VERSION=4.0
-SNAPSHOTDATE=20041118
-SNAPDIR=erc-$(VERSION).cvs.$(SNAPSHOTDATE)
+VERSION=5.0.2
+SNAPDIR=erc-$(VERSION)
 
 SPECIAL = erc-auto.el
 UNCOMPILED = erc-chess.el erc-bbdb.el erc-ibuffer.el erc-speak.el \
@@ -9,8 +8,9 @@
 ALLSOURCE = $(wildcard *.el)
 SOURCE	= $(filter-out $(SPECIAL) $(UNCOMPILED) $(TESTING),$(ALLSOURCE))
 TARGET	= $(patsubst %.el,%.elc,$(SPECIAL) $(SOURCE))
-MISC	= AUTHORS CREDITS HISTORY README Makefile ChangeLog mkChangeLog \
-		servers.pl erc-auto.in
+MISC	= AUTHORS CREDITS HISTORY NEWS README Makefile ChangeLog \
+		ChangeLog.2004 ChangeLog.2003 ChangeLog.2002 \
+		ChangeLog.2001 servers.pl erc-auto.in
 EMACS   = emacs
 
 all: $(TARGET)
@@ -33,7 +33,7 @@
 clean:
 	rm -f *~ *.elc
 
-realclean: clean
+distclean realclean: clean
 	-rm -f $(TARGET) $(SPECIAL)
 
 debrelease: $(ALLSOURCE) $(SPECIAL)
@@ -41,16 +41,17 @@
 	mkdir ../$(SNAPDIR) && chmod 0755 ../$(SNAPDIR) && \
 	cp $(ALLSOURCE) $(SPECIAL) $(MISC) ../$(SNAPDIR) && \
 	cd ../ && \
-	tar -czf erc_$(VERSION).cvs.$(SNAPSHOTDATE).orig.tar.gz $(SNAPDIR)
+	tar -czf erc_$(VERSION).orig.tar.gz $(SNAPDIR)
 	cp -R debian ../$(SNAPDIR)
-	rm -R ../$(SNAPDIR)/debian/CVS ../$(SNAPDIR)/debian/maint/CVS \
-		../$(SNAPDIR)/debian/scripts/CVS
+	-[ -d ../$(SNAPDIR)/debian/CVS ] && rm -R \
+	  ../$(SNAPDIR)/debian/CVS \
+	  ../$(SNAPDIR)/debian/maint/CVS \
+	  ../$(SNAPDIR)/debian/scripts/CVS
+	-[ -d ../$(SNAPDIR)/debian/.arch-ids ] && rm -R \
+	  ../$(SNAPDIR)/debian/.arch-ids \
+	  ../$(SNAPDIR)/debian/maint/.arch-ids \
+	  ../$(SNAPDIR)/debian/scripts/.arch-ids
 	cd ../$(SNAPDIR) && dpkg-buildpackage -rfakeroot
-
-.PHONY: ChangeLog
-ChangeLog:
-	-mv -f ChangeLog ChangeLog.old
-	zsh mkChangeLog
 
 release: autoloads
 	rm -rf ../erc-$(VERSION)

## erc 5.0.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=5.0.2
+VERSION=5.0.4
 SNAPDIR=erc-$(VERSION)
 
 SPECIAL = erc-auto.el
@@ -31,32 +31,49 @@
 		-f batch-byte-compile $<
 
 clean:
-	rm -f *~ *.elc
+	-rm -f *~ *.elc
 
-distclean realclean: clean
+realclean: clean
 	-rm -f $(TARGET) $(SPECIAL)
 
-debrelease: $(ALLSOURCE) $(SPECIAL)
-	rm -Rf ../$(SNAPDIR) && \
-	mkdir ../$(SNAPDIR) && chmod 0755 ../$(SNAPDIR) && \
-	cp $(ALLSOURCE) $(SPECIAL) $(MISC) ../$(SNAPDIR) && \
-	cd ../ && \
-	tar -czf erc_$(VERSION).orig.tar.gz $(SNAPDIR)
+distclean:
+	-rm -f $(TARGET)
+	-rm -Rf ../$(SNAPDIR)
+
+debrelease: $(ALLSOURCE) $(SPECIAL) distclean
+	mkdir ../$(SNAPDIR) && chmod 0755 ../$(SNAPDIR)
+	cp $(ALLSOURCE) $(SPECIAL) $(MISC) ../$(SNAPDIR)
+	(cd .. && tar -czf erc_$(VERSION).orig.tar.gz $(SNAPDIR))
 	cp -R debian ../$(SNAPDIR)
-	-[ -d ../$(SNAPDIR)/debian/CVS ] && rm -R \
+	test -d ../$(SNAPDIR)/debian/CVS && rm -R \
 	  ../$(SNAPDIR)/debian/CVS \
 	  ../$(SNAPDIR)/debian/maint/CVS \
-	  ../$(SNAPDIR)/debian/scripts/CVS
-	-[ -d ../$(SNAPDIR)/debian/.arch-ids ] && rm -R \
+	  ../$(SNAPDIR)/debian/scripts/CVS || :
+	test -d ../$(SNAPDIR)/debian/.arch-ids && rm -R \
 	  ../$(SNAPDIR)/debian/.arch-ids \
 	  ../$(SNAPDIR)/debian/maint/.arch-ids \
-	  ../$(SNAPDIR)/debian/scripts/.arch-ids
-	cd ../$(SNAPDIR) && dpkg-buildpackage -rfakeroot
+	  ../$(SNAPDIR)/debian/scripts/.arch-ids || :
+	(cd ../$(SNAPDIR) && debuild -rfakeroot)
 
-release: autoloads
-	rm -rf ../erc-$(VERSION)
-	mkdir ../erc-$(VERSION)
+debrelease-mwolson:
+	-rm -f ../../dist/erc_*
+	-rm -f ../erc_$(VERSION)*
+	$(MAKE) debrelease
+	cp ../erc_$(VERSION)* ../../dist
+
+release: autoloads distclean
+	mkdir ../$(SNAPDIR) && chmod 0755 ../$(SNAPDIR)
 	cp $(SPECIAL) $(UNCOMPILED) $(SOURCE) $(MISC) ../erc-$(VERSION)
-	cd ..; tar czf erc-$(VERSION).tar.gz erc-$(VERSION)/*
+	(cd .. && tar czf erc-$(VERSION).tar.gz erc-$(VERSION)/*; \
+	  zip -r erc-$(VERSION).zip erc-$(VERSION))
 
 todo:	erc.elc
+
+upload:
+	(cd .. && echo open ftp://upload.sourceforge.net > upload.lftp ; \
+	  echo cd /incoming >> upload.lftp ; \
+	  echo mput erc-$(VERSION).zip >> upload.lftp ; \
+	  echo mput erc-$(VERSION).tar.gz >> upload.lftp ; \
+	  echo close >> upload.lftp ; \
+	  lftp -f upload.lftp ; \
+	  rm -f upload.lftp)

## erc 5.3

=== Makefile ===
VERSION=5.3
SNAPDIR=erc-$(VERSION)
LASTUPLOAD = 5.1.4-4
BUILDOPTS  =

SPECIAL = erc-auto.el
UNCOMPILED = erc-bbdb.el erc-chess.el erc-ibuffer.el erc-speak.el \
		erc-speedbar.el erc-compat.el

# Files to include in the extras pack for Emacs 23
EXTRAS  = erc-bbdb.el erc-chess.el erc-list-old.el erc-nicklist.el \
		erc-speak.el README.extras COPYING

ALLSOURCE = $(wildcard *.el)
SOURCE	= $(filter-out $(SPECIAL) $(UNCOMPILED) erc-pkg.el, $(ALLSOURCE))
TARGET	= $(patsubst %.el,%.elc,$(SPECIAL) $(SOURCE))
MANUAL  = erc
MISC	= AUTHORS COPYING CREDITS HISTORY NEWS README Makefile ChangeLog \
		ChangeLog.07 ChangeLog.06 ChangeLog.05 ChangeLog.04 \
		ChangeLog.03 ChangeLog.02 ChangeLog.01 \
		servers.pl erc-auto.in erc.texi

EMACS       = emacs
SITEFLAG    = --no-site-file

PREFIX   = /usr/local
ELISPDIR = $(PREFIX)/share/emacs/site-lisp/erc
INFODIR  = $(PREFIX)/info

# Used to differentiate building packages for Debian and Ubuntu
DISTRIBUTOR = debian

# XEmacs users will probably want the following settings.
#EMACS    = xemacs
#SITEFLAG = -no-site-file

INSTALLINFO = install-info --info-dir=$(INFODIR)

# If you're using Debian, uncomment the following line and comment out
#the above line.
#INSTALLINFO = install-info --section "Emacs" "emacs" --info-dir=$(INFODIR)

# Location of Emacs Lisp Package Archive entries
ELPA=../../elpa

all: lisp $(MANUAL).info

lisp: $(TARGET) 

autoloads: erc-auto.el

erc-auto.el: erc-auto.in $(SOURCE)
	cp erc-auto.in erc-auto.el
	rm -f erc-auto.elc
	@$(EMACS) -q $(SITEFLAG) -batch \
		-l $(shell pwd | sed -e 's|^/cygdrive/\([a-z]\)|\1:|')/erc-auto \
		-f erc-generate-autoloads \
		$(shell pwd | sed -e 's|^/cygdrive/\([a-z]\)|\1:|')/erc-auto.el .

%.elc: %.el
	@$(EMACS) -q $(SITEFLAG) -batch \
		-l $(shell pwd | sed -e 's|^/cygdrive/\([a-z]\)|\1:|')/erc-maint \
		-f batch-byte-compile $<

%.info: %.texi
	makeinfo $<

%.html: %.texi
	makeinfo --html --no-split $<

doc: $(MANUAL).info $(MANUAL).html

clean:
	-rm -f *~ *.elc

realclean: clean
	-rm -f $(MANUAL).info $(MANUAL).html $(TARGET) $(SPECIAL)

install-info: $(MANUAL).info
	[ -d $(INFODIR) ] || install -d $(INFODIR)
	install -m 0644 $(MANUAL).info $(INFODIR)/$(MANUAL)
	$(INSTALLINFO) $(INFODIR)/$(MANUAL)

install-bin: lisp
	install -d $(ELISPDIR)
	install -m 0644 $(ALLSOURCE) $(TARGET) $(ELISPDIR)

install: install-bin install-info

distclean:
	-rm -f $(MANUAL).info $(MANUAL).html $(TARGET)
	-rm -Rf ../$(SNAPDIR)

debclean:
	-rm -f ../../dist/$(DISTRIBUTOR)/erc_*
	-rm -f ../erc_$(VERSION)*

debprepare:
	-rm -Rf ../$(SNAPDIR)
	cp ../erc-$(VERSION).tar.gz ../erc_$(VERSION).orig.tar.gz
	(cd .. && tar -xzf erc_$(VERSION).orig.tar.gz)
	cp -R debian ../$(SNAPDIR)
	test -d ../$(SNAPDIR)/debian/.arch-ids && rm -Rf \
	  ../$(SNAPDIR)/debian/.arch-ids \
	  ../$(SNAPDIR)/debian/maint/.arch-ids \
	  ../$(SNAPDIR)/debian/scripts/.arch-ids || :
	test -d ../$(SNAPDIR)/debian/\{arch\} && rm -Rf \
	  ../$(SNAPDIR)/debian/\{arch\}

debbuild:
	(cd ../$(SNAPDIR) && \
	  dpkg-buildpackage -v$(LASTUPLOAD) $(BUILDOPTS) \
	    -us -uc -rfakeroot && \
	  echo "Running lintian ..." && \
	  lintian -i ../erc_$(VERSION)*.deb || : && \
	  echo "Done running lintian." && \
	  echo "Running linda ..." && \
	  linda -i ../erc_$(VERSION)*.deb || : && \
	  echo "Done running linda." && \
	  debsign)

debinstall:
	cp ../erc_$(VERSION)* ../../dist/$(DISTRIBUTOR)

deb: debclean debprepare debbuild debinstall

release: autoloads distclean
	mkdir ../$(SNAPDIR) && chmod 0755 ../$(SNAPDIR)
	cp $(SPECIAL) $(UNCOMPILED) $(SOURCE) $(MISC) ../$(SNAPDIR)
	cp -r images ../$(SNAPDIR)
	test -d ../$(SNAPDIR)/images/CVS && \
	  rm -R ../$(SNAPDIR)/images/CVS || :
	test -d ../$(SNAPDIR)/images/.arch-ids && \
	  rm -R ../$(SNAPDIR)/images/.arch-ids || :
	(cd .. && tar czf erc-$(VERSION).tar.gz $(SNAPDIR)/*; \
	  zip -r erc-$(VERSION).zip $(SNAPDIR))

extras:
	-rm -Rf ../$(SNAPDIR)-extras
	mkdir ../$(SNAPDIR)-extras && chmod 0755 ../$(SNAPDIR)-extras
	cp $(EXTRAS) ../$(SNAPDIR)-extras
	cp -r images ../$(SNAPDIR)-extras
	test -d ../$(SNAPDIR)-extras/images/CVS && \
	  rm -R ../$(SNAPDIR)-extras/images/CVS || :
	test -d ../$(SNAPDIR)-extras/images/.arch-ids && \
	  rm -R ../$(SNAPDIR)-extras/images/.arch-ids || :
	(cd .. && tar czf erc-$(VERSION)-extras.tar.gz $(SNAPDIR)-extras/*; \
	  zip -r erc-$(VERSION)-extras.zip $(SNAPDIR)-extras)

upload:
	(cd .. && gpg --detach erc-$(VERSION).tar.gz && \
	  gpg --detach erc-$(VERSION).zip && \
	  echo "Directory: erc" | gpg --clearsign > \
	    erc-$(VERSION).tar.gz.directive.asc && \
	  cp erc-$(VERSION).tar.gz.directive.asc \
	    erc-$(VERSION).zip.directive.asc && \
	  echo open ftp://ftp-upload.gnu.org > upload.lftp ; \
	  echo cd /incoming/ftp >> upload.lftp ; \
	  echo mput erc-$(VERSION).zip* >> upload.lftp ; \
	  echo mput erc-$(VERSION).tar.gz* >> upload.lftp ; \
	  echo close >> upload.lftp ; \
	  lftp -f upload.lftp ; \
	  rm -f upload.lftp)

upload-extras:
	(cd .. && gpg --detach erc-$(VERSION)-extras.tar.gz && \
	  gpg --detach erc-$(VERSION)-extras.zip && \
	  echo "Directory: erc" | gpg --clearsign > \
	    erc-$(VERSION)-extras.tar.gz.directive.asc && \
	  cp erc-$(VERSION)-extras.tar.gz.directive.asc \
	    erc-$(VERSION)-extras.zip.directive.asc && \
	  echo open ftp://ftp-upload.gnu.org > upload.lftp ; \
	  echo cd /incoming/ftp >> upload.lftp ; \
	  echo mput erc-$(VERSION)-extras.zip* >> upload.lftp ; \
	  echo mput erc-$(VERSION)-extras.tar.gz* >> upload.lftp ; \
	  echo close >> upload.lftp ; \
	  lftp -f upload.lftp ; \
	  rm -f upload.lftp)

elpa: $(MANUAL).info
	rm -fR $(ELPA)/$(SNAPDIR)
	rm -f $(ELPA)/erc-$(VERSION).tar
	mkdir -p $(ELPA)/$(SNAPDIR) && chmod 0755 $(ELPA)/$(SNAPDIR)
	cp $(UNCOMPILED) $(SOURCE) $(ELPA)/$(SNAPDIR)
	cp -r images $(ELPA)/$(SNAPDIR)
	cp erc-pkg.el $(ELPA)/$(SNAPDIR)
	cp $(MANUAL).info $(ELPA)/$(SNAPDIR)
	cp dir-template $(ELPADIR)/$(SNAPDIR)/dir
	install-info --section "Emacs" "Emacs" \
	  --info-dir=$(ELPA)/$(SNAPDIR) \
	  $(ELPA)/$(SNAPDIR)/$(MANUAL).info
	rm -f $(ELPA)/$(SNAPDIR)/dir.old
	test -d $(ELPA)/$(SNAPDIR)/images/.arch-ids && \
	  rm -R $(ELPA)/$(SNAPDIR)/images/.arch-ids || :
	(cd $(ELPA) && tar cf erc-$(VERSION).tar $(SNAPDIR))

## erc 5.5%2Bdfsg

=== debian/control ===
Source: erc
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Amin Bandali <bandali@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/emacsen-team/erc
Vcs-Git: https://salsa.debian.org/emacsen-team/erc.git
Homepage: https://www.gnu.org/software/emacs/erc.html
Rules-Requires-Root: no

Package: elpa-erc
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: Powerful, modular, and extensible IRC client for Emacs
 ERC is a powerful, modular, and extensible Internet Relay Chat (IRC)
 client distributed with GNU Emacs since version 22.1.
 .
 ERC comes with the following capabilities enabled by default:
 .
  * Timestamps
  * Flood control
  * Join channels automatically
  * Buttonized URLs, nicknames, and other text
  * Wrap long lines
  * Highlight or remove IRC control characters
  * Highlight pals, fools, and other keywords
  * Detect netsplits
  * Complete nicknames and commands in a programmable fashion
  * Make displayed lines read-only
  * Input history
  * Track channel activity in the mode-line

## erc 5.5+dfsg

=== debian/changelog ===
erc (5.5+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:16:23 +0900

erc (5.5+dfsg-2) unstable; urgency=medium

  * Update debian/control Uploaders to use my new @debian.org address

 -- Amin Bandali <bandali@debian.org>  Tue, 02 Jan 2024 19:51:50 -0500

erc (5.5+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1053654)
  * Revamp/redo the Debian packaging for ERC essentially from scratch,
    to follow current packaging guidelines/practices of Debian Emacsen
    team, in preparation for reintroduction into Debian.

 -- Amin Bandali <bandali@gnu.org>  Wed, 18 Oct 2023 00:17:28 -0400

erc (5.3-1) unstable; urgency=low

  * debian/control:
    - Update to Standards-Version 3.7.3.
    - Depends: Mention emacs22 rather than emacs21.
  * debian/copyright:
    - Update years, authors, license, and copyright statement.
  * debian/NEWS:
    - Drop mention of myself in the third person, because it was confusing
      people.
  * debian/rules:
    - (clean): Remove build-stamp and configure-stamp so that the
      directory is truly clean.
    - (binary-erc): Add ChangeLog.07.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Sat, 26 Jan 2008 21:01:17 -0500

erc (5.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add emacsen-common >= 1.4.14, since we are using
    debian-pkg-add-load-path-item.
  * debian/scripts/startup.erc: Drop fboundp test.  Do the right thing if
    the package has been removed but not purged.
  * debian/rules:
    - Remove manual since it is GFDL-licensed.
    - Update ChangeLog.NNNN -> ChangeLog.NN.
    - Install NEWS.Debian.
  * NEWS, README.Debian: Mention manual situation.
  * debian/maint/postinst, debian/maint/prerm: Don't install manual.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Fri, 22 Jun 2007 23:46:33 -0400

erc (5.1.4-4) unstable; urgency=low

  * debian/control: Remove myself from uploaders.

 -- Romain Francoise <rfrancoise@debian.org>  Fri,  2 Mar 2007 18:18:30 +0100

erc (5.1.4-3) unstable; urgency=low

  * debian/scripts/install: Bug fix: "bashism in
    /usr/lib/emacsen-common/packages/install/erc", thanks to Michal
    Politowski (Closes: #381832).
  * debian/scripts/install: Grammar fix.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Mon,  7 Aug 2006 16:18:09 -0400

erc (5.1.4-2) unstable; urgency=low

  [ Michael Olson ]
  * debian/scripts/install:
    - Make sure the given target is always PHONY.
    - Split up long lines.
    - Avoid spurious "emacs is up-to-date" message.
    - Make sure all source files get symlinked, not just those that are
      safe to compile.
    - Use more failproof mechanism for acquiring initial target.
    - Separate path.el generation into its own target.
  
  [ Romain Francoise ]
  * debian/control: Set Standards-Version to 3.7.2, no changes needed.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Sat,  5 Aug 2006 11:39:37 -0400

erc (5.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Thu,  3 Aug 2006 00:55:51 -0400

erc (5.1.3-3) experimental; urgency=low

  * debian/scripts/install: Use `ln -sf' to ensure script idempotency.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 31 Jul 2006 19:52:28 +0200

erc (5.1.3-2) unstable; urgency=low

  * debian/scripts/install: Install symlinks to the source files instead
    of copying before and removing them after compilation.
  * debian/scripts/startup.erc: Don't add the global site-lisp directory
    to load-path.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Wed, 12 Jul 2006 17:27:45 -0400

erc (5.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bug fix: "erc: resolving ssl.el dependency could be better
    documented", thanks to Neil Van Dyke (Closes: #369897).
  * debian/README.Debian: Mention the version of ssl.el that is preferred.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Mon, 10 Jul 2006 01:46:50 -0400

erc (5.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Sun, 19 Feb 2006 23:34:25 -0500

erc (5.1.1-3) unstable; urgency=low

  * erc.el: Go back to using ssl.el, since connecting with
    `open-tls-stream' only seems to work with the version of tls.el in
    Emacs22.
  * erc-autojoin.el, erc-dcc.el: Fix compiler warnings.
  * erc-stamp.el:
    - Fix a consistency issue with right timestamps.
    - Rename option `erc-timestamp-right-align-by-pixel' to
      `erc-timestamp-use-align-to'.
    - Use a more fail-proof method of aligning right timestamps, if the
      current version of Emacs supports it.  Previously, a bug was
      triggered when erc-stamp.el was byte-compiled.  This has been
      fixed, making this method safe to use.
  * debian/rules (configure, configure-stamp, build, build-stamp):
    Generate HTML and Info documentation.
    (binary-erc): Install HTML and Info documentation.
  * debian/maint/postinst: Install the Info documentation.
  * debian/maint/prerm: Handle removing of Info documentation.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Tue, 14 Feb 2006 00:55:54 -0500

erc (5.1.1-2) unstable; urgency=low

  * debian/control: Add Build-Depends-Indep on texinfo and texi2html,
    thanks to Andreas Jochens (closes: #351772).

 -- Romain Francoise <rfrancoise@debian.org>  Wed,  8 Feb 2006 08:31:46 +0100

erc (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * erc-spelling.el:
    - Don't spell-check nicks or words that are prefixed with '/'.
    - Remove flyspell properties from words we shouldn't spell-check.
    - Fix an issue that caused the ispell process to reload every time we
      switch to an ERC buffer.
  * Bug fix: "erc: Recommends: emacs-chess", thanks to era eriksson


=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
https://elpa.gnu.org/packages/@PACKAGE@.html @PACKAGE@@ANY_VERSION@\.tar
